Download it now!
Bug 97387 - Not possible to select picture frame in the footer
Summary: Not possible to select picture frame in the footer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2016-01-27 08:29 UTC by szotsaki
Modified: 2019-08-31 23:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document where the bug is reproducible (470.83 KB, application/vnd.oasis.opendocument.text)
2016-01-27 08:29 UTC, szotsaki
Details
Screenshot to show where I click (252.73 KB, image/png)
2016-05-08 10:03 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description szotsaki 2016-01-27 08:29:49 UTC
Created attachment 122233 [details]
Example document where the bug is reproducible

1.) Create an empty footer.
2.) Insert a picture and add caption to it (thus creating frame around).
3.) Write as much text before the picture as much is needed the picture to float into the footer.
4.) Be sure the focus is not in the footer.
5.) Move the mouse over the 1px wide frame which is already positioned in the footer. Try to select it with clicking on it.

The footer "steals" focus, it's not possible to select the frame without clicking into the picture itself before.

There is a slight chance this bug is Linux-only (but I cannot confirm it).

I'm on openSUSE Leap 42.1, x64, KDE 5.
Comment 1 Joel Madero 2016-01-27 19:20:04 UTC
Does this happen if you anchor the picture "as character" instead of the default "to paragraph." Step 3 makes me believe it's anchored to paragraph which seems to not push the picture appropriately into the footer.

Can you just clarify:
1) How is it anchored?
2) If anchored "as character" do you see the same problem?

also:
3) Can you attach a simple test case - makes things a lot easier for us.

Marking as NEEDINFO - once you provide the details set to UNCONFIRMED. Thanks
Comment 2 szotsaki 2016-01-28 09:05:54 UTC
Both the picture inside the frame, and the frame itself are anchored to paragraph.

When I anchor the frame "as character" the picture (together with the frame) jumps to the next page and it will be impossible to move it into the footer just by adding text before.

I attached an example document for the report :).
Comment 3 Buovjaga 2016-02-26 14:12:00 UTC
I am able to select the frame.

Arch Linux 64-bit KDE Plasma 5
Version: 5.1.0.3
Build ID: 5.1.0.3 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 4 szotsaki 2016-05-07 13:39:28 UTC
Since it arrived to openSUSE, I installed LibreOffice 5.1 and re-tested with the example image. Unfortunately, I still can reproduce the issue.

Buovjaga, when you intentionally select footer (so the cursor blinks in the middle of the footer above the picture) can you select the caption text with a single click?

openSUSE 42.1 64-bit KDE Plasma 5
Version: 5.1.3.1
Build ID: 10m0(Build:1)
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default;
Locale: hu-HU (hu_HU.UTF-8)
Comment 5 Buovjaga 2016-05-07 15:25:13 UTC
(In reply to szotsaki from comment #4)
> Buovjaga, when you intentionally select footer (so the cursor blinks in the
> middle of the footer above the picture) can you select the caption text with
> a single click?

No. The text is not responsive in that case. I first need to select whole frame OR change from document text to the caption with a direct click.
Comment 6 szotsaki 2016-05-08 08:59:23 UTC
Hmm, that's interesting (but I don't know if it's related to this issue).

I'm sorry, but I don't have any other ideas how to reproduce it. When I place the caret at the of the last paragraph, then I click on the 1px-wide the frame border in the footer, footer automatically gains focus.
Comment 7 Buovjaga 2016-05-08 10:03:46 UTC
Created attachment 124909 [details]
Screenshot to show where I click
Comment 8 szotsaki 2016-05-08 10:53:47 UTC
Yes, exactly. I tried to switch font family, turning pilcrow ¶ on and off, and changing zoom but no use.

According to Settings > View, OpenGL is „disabled” (however, all the checkboxes are ticked even the blacklisting one). I cannot turn it on. Could you please try it with turned off your OpenGL renderer also?
Comment 9 Buovjaga 2016-05-08 10:58:48 UTC
OpenGL does not work with my graphics on Linux yet, so I can't turn it on.
Comment 10 Regina Henschel 2016-05-08 22:37:28 UTC
I can confirm the described behavior with the attached document using LO 5.2 on Windows 7. You can get the frame, when you use the Navigator. Right-click the item "Keret1" and then use Text Frame > Edit.
Comment 11 QA Administrators 2017-05-22 13:38:37 UTC Comment hidden (obsolete)
Comment 12 szotsaki 2017-06-05 18:18:33 UTC
The bug is still present on LibreOffice 5.3.3.2 on Linux x64.
Comment 13 szotsaki 2018-03-08 10:05:32 UTC
Reproducible with 
Version: 6.0.2.1
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 14 QA Administrators 2019-03-09 03:42:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug